﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace ScheduleAuditMgmt
{
    public class ScheduleAuditInfoViewModel : INotifyPropertyChanged
    {
        readonly ScheduledAuditInfo _scheduledAuditInfo;

        public ScheduleAuditInfoViewModel(ScheduledAuditInfo scheduledAuditInfo)
        {
            _scheduledAuditInfo = scheduledAuditInfo;
        }

        public int AuditId 
        { 
            get { return _scheduledAuditInfo.AuditId; }            
        }
        public string AuditType 
        {
            get { return _scheduledAuditInfo.AuditType; }            
        }
        public string AuditCreator 
        {
            get { return _scheduledAuditInfo.AuditCreator; }
            
        }
        public string AuditDescription 
        {
            get { return _scheduledAuditInfo.AuditDescription; }
            
        }
        public string Site 
        {
            get { return _scheduledAuditInfo.Site; }            
        }
        public string AuditInitiatedDate 
        {
            get { return _scheduledAuditInfo.AuditInitiatedDate; }            
        }
        public ObservableCollection<Email> EmailIds
        {
            get { return _scheduledAuditInfo.EmailIds; }
            set { _scheduledAuditInfo.EmailIds = value; } 
        }
        public DateTime AuditScheduledDate 
        {
            get { return _scheduledAuditInfo.AuditScheduledDate; }
            set { _scheduledAuditInfo.AuditScheduledDate = value; }
        }
        public string AuditScheduledTime 
        {
            get { return _scheduledAuditInfo.AuditScheduledTime; }
            set { _scheduledAuditInfo.AuditScheduledTime = value; }
        }
        public int OffsetInHours 
        {
            get { return _scheduledAuditInfo.OffsetInHours; }
            set { _scheduledAuditInfo.OffsetInHours = value; }
        }
        public int NumOccurences 
        {
            get { return _scheduledAuditInfo.NumOccurences; }
            set { _scheduledAuditInfo.NumOccurences = value; }
        }
        public char IsScheduledAudit 
        {
            get { return _scheduledAuditInfo.IsScheduledAudit; }
            set { _scheduledAuditInfo.IsScheduledAudit = value; }
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        void OnPropertyChanged(string prop)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(prop));
        }

        #endregion


    }
}
